cereal::SizeTag< T > Class Template Reference

A wrapper around size metadata. More...

`#include </build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/details/helpers.hpp>`

## Public Member Functions

| SizeTag (T &&sz)

## Public Attributes

Type | size

## Related Functions

(Note that these are not member functions.)
template<class T >
SizeTag< T > | make_size_tag (T &&sz)
| Creates a size tag from some variable. More...

## Detailed Description

### template<class T>
class cereal::SizeTag< T >

A wrapper around size metadata.

This class provides a way for archives to have more flexibility over how they choose to serialize size metadata for containers. For some archive types, the size may be implicitly encoded in the output (e.g. JSON) and not need an explicit entry. Specializing serialize or load/save for your archive and SizeTags allows you to choose what happens.

The documentation for this class was generated from the following files:

- /build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/details/helpers.hpp
- /build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/cereal.hpp